// Shorthand for $( document ).ready()
$(function() {
  $('.js__form-quote').on('submit', function(e) {
    e.preventDefault();
    $('.js__quote-mask').css('display', 'flex');

    var data = {
      name:                 $('#form__quote-name').val(),
      email:                $('#form__quote-email').val(),
      company_name:         $('#form__quote-company').val(),
      number_of_employees:  $('#form__quote-employees').val()
    }

    $.ajax({
      url: "https://formspree.io/support@smithrx.com", 
      method: "POST",
      data: data,
      dataType: "json"
    })
    .done(function() {
      $('.js__quote-start').animate({ 'opacity': '0' }, '500', function() {
        $('.js__quote-mask').css('display', 'none');
        $('.js__quote-success-name').html(data.email);
        $(this).hide();
        $('.js__quote-success').show().animate({ 'opacity': '1' }, '500' );

        $('#getQuote :input').each(function() {
          $(this).val('');
        });
        $('#getQuote select').val('Number of Employees');
        $('#getQuote :submit').val('Submit');
      });
     
    })
    .fail(function() {
      alert('Uh oh, there\'s been a problem, please try again later.');
    });
  });

  $('#getQuote').on('hidden.bs.modal', function () {
    $('.js__quote-start').css('opacity', 1).show();
    $('.js__quote-success').css('opacity', 0).hide();
  });

  $('.js__hero-arrow').on('click', function(e) {
    e.preventDefault();
    var hero = $('.js__hero').height();
    $('html, body').animate({
      scrollTop: hero
    }, 600);
  })
});

